## UNIQUE-Definition (unique_definition)

Eine UNIQUE-Definition (unique_definition) in der CREATE TABLE-Anweisung definiert die Eindeutigkeit von Spaltenwertkombinationen.

### Syntax

<unique_definition> ::= [CONSTRAINT <index_name>] UNIQUE (<column_name>,...)

### Beispiele

SQL-Tutorial, Indizes

### Erläuterung

Die Angabe einer UNIQUE-Definition in einer CREATE TABLE-Anweisung hat die gleiche Wirkung wie die Angabe der CREATE TABLE-Anweisung ohne UNIQUE-Definition, jedoch mit einer CREATE INDEX-Anweisung mit Angabe von UNIQUE.

· Indexname angegeben: Der erzeugte Index wird unter diesem Namen im Datenbankkatalog abgelegt.

· Kein Indexname: Dem Index wird vom Datenbanksystem ein eindeutiger Indexname zugeordnet.